Package org.snpeff.motif

# Class PwmAndSeqs

java.lang.Object
org.snpeff.motif.Pwm
org.snpeff.motif.PwmAndSeqs

public class PwmAndSeqs extends Pwm
Create a DNA motif count matrix and also count the number of sequences in that contribute to this motif.

Author:
  pcingola

## Field Summary

### Fields inherited from class org.snpeff.motif.Pwm

`BASES, SCALE`

## Constructor Summary

Constructors
Constructor
Description
`PwmAndSeqs(int len)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`void`
`updateCounts(String dna, int inc, long rsId)`
Update counts matrix.

### Methods inherited from class org.snpeff.motif.Pwm

`calcLogOddsWeight, getBestSequence, getBestSequenceStr, getCount, getId, getLogOdds, getName, getTotalCount, isConserved, length, score, set, setCounts, setId, setName, updateCounts, updateCounts`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PwmAndSeqs

public PwmAndSeqs(int len)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Pwm`

### updateCounts

public void updateCounts(String dna, int inc, long rsId)
Update counts matrix.

Parameters:
  `dna` -